net.minecraftforge.client

## Class GuiIngameForge

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiIngame
    - - net.minecraftforge.client.GuiIngameForge

-     public class GuiIngameForge
      extends GuiIngame

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `left_height`
    `static boolean` | `renderAir`
    `static boolean` | `renderArmor`
    `static boolean` | `renderBossHealth`
    `static boolean` | `renderCrosshairs`
    `static boolean` | `renderExperiance`
    `static boolean` | `renderFood`
    `static boolean` | `renderHealth`
    `static boolean` | `renderHealthMount`
    `static boolean` | `renderHelmet`
    `static boolean` | `renderHotbar`
    `static boolean` | `renderJumpBar`
    `static boolean` | `renderObjective`
    `static boolean` | `renderPortal`
    `static int` | `right_height`

    - ### Fields inherited from class net.minecraft.client.gui.GuiIngame

      `highlightingItemStack, itemRenderer, mc, persistantChatGUI, prevVignetteBrightness, pumpkinBlurTexPath, rand, recordIsPlaying, recordPlaying, recordPlayingUpFor, remainingHighlightTicks, updateCounter, vignetteTexPath, widgetsTexPath`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiIngameForge(Minecraft mc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScaledResolution` | `getResolution()`
    `protected void` | `renderAir(int width, int height)`
    `protected void` | `renderArmor(int width, int height)`
    `protected void` | `renderBossHealth()`
    `protected void` | `renderChat(int width, int height)`
    `protected void` | `renderCrosshairs(int width, int height)`
    `protected void` | `renderExperience(int width, int height)`
    `void` | `renderFood(int width, int height)`
    `void` | `renderGameOverlay(float partialTicks, boolean hasScreen, int mouseX, int mouseY)`
    `void` | `renderHealth(int width, int height)`
    `protected void` | `renderHealthMount(int width, int height)`
    `protected void` | `renderHotbar(int width, int height, float partialTicks)`
    `protected void` | `renderHUDText(int width, int height)`
    `protected void` | `renderJumpBar(int width, int height)`
    `protected void` | `renderPlayerList(int width, int height)`
    `protected void` | `renderPortal(int width, int height, float partialTicks)`
    `protected void` | `renderRecordOverlay(int width, int height, float partialTicks)`
    `protected void` | `renderSleepFade(int width, int height)`
    `protected void` | `renderToolHightlight(int width, int height)`

    - ### Methods inherited from class net.minecraft.client.gui.GuiIngame

      `func_110326_a, func_110327_a, func_130015_b, func_96136_a, getChatGUI, getUpdateCounter, renderInventorySlot, renderPumpkinBlur, renderVignette, setRecordPlayingMessage, updateTick`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renderHelmet

          public static boolean renderHelmet

    - #### renderPortal

          public static boolean renderPortal

    - #### renderHotbar

          public static boolean renderHotbar

    - #### renderCrosshairs

          public static boolean renderCrosshairs

    - #### renderBossHealth

          public static boolean renderBossHealth

    - #### renderHealth

          public static boolean renderHealth

    - #### renderArmor

          public static boolean renderArmor

    - #### renderFood

          public static boolean renderFood

    - #### renderHealthMount

          public static boolean renderHealthMount

    - #### renderAir

          public static boolean renderAir

    - #### renderExperiance

          public static boolean renderExperiance

    - #### renderJumpBar

          public static boolean renderJumpBar

    - #### renderObjective

          public static boolean renderObjective

    - #### left_height

          public static int left_height

    - #### right_height

          public static int right_height

  - ### Constructor Detail

    - #### GuiIngameForge

          public GuiIngameForge(Minecraft mc)

  - ### Method Detail

    - #### renderGameOverlay

          public void renderGameOverlay(float partialTicks,
                               boolean hasScreen,
                               int mouseX,
                               int mouseY)

      Overrides:
        `renderGameOverlay` in class `GuiIngame`

    - #### getResolution

          public ScaledResolution getResolution()

    - #### renderHotbar

          protected void renderHotbar(int width,
                          int height,
                          float partialTicks)

    - #### renderCrosshairs

          protected void renderCrosshairs(int width,
                              int height)

    - #### renderBossHealth

          protected void renderBossHealth()

      Overrides:
        `renderBossHealth` in class `GuiIngame`

    - #### renderArmor

          protected void renderArmor(int width,
                         int height)

    - #### renderPortal

          protected void renderPortal(int width,
                          int height,
                          float partialTicks)

    - #### renderAir

          protected void renderAir(int width,
                       int height)

    - #### renderHealth

          public void renderHealth(int width,
                          int height)

    - #### renderFood

          public void renderFood(int width,
                        int height)

    - #### renderSleepFade

          protected void renderSleepFade(int width,
                             int height)

    - #### renderExperience

          protected void renderExperience(int width,
                              int height)

    - #### renderJumpBar

          protected void renderJumpBar(int width,
                           int height)

    - #### renderToolHightlight

          protected void renderToolHightlight(int width,
                                  int height)

    - #### renderHUDText

          protected void renderHUDText(int width,
                           int height)

    - #### renderRecordOverlay

          protected void renderRecordOverlay(int width,
                                 int height,
                                 float partialTicks)

    - #### renderChat

          protected void renderChat(int width,
                        int height)

    - #### renderPlayerList

          protected void renderPlayerList(int width,
                              int height)

    - #### renderHealthMount

          protected void renderHealthMount(int width,
                               int height)